package org.dataone.tidy.merge;

import org.dataone.client.D1Client;
import org.dataone.service.exceptions.InvalidToken;
import org.dataone.service.exceptions.NotAuthorized;
import org.dataone.service.exceptions.NotFound;
import org.dataone.service.exceptions.NotImplemented;
import org.dataone.service.exceptions.ServiceFailure;
import org.dataone.service.types.v1.Identifier;
import org.dataone.service.types.v1.NodeReference;
import org.dataone.service.types.v1.SystemMetadata;

public class AuthMNSystemMetadataProxy implements MNSystemMetadataDelegate {

	@Override
	public SystemMetadata getSystemMetadata(NodeReference nodeRef,
			Identifier pid) throws InvalidToken, NotAuthorized, NotImplemented, ServiceFailure, NotFound {
	
		return D1Client.getMN(nodeRef).getSystemMetadata(pid);
	
	}

}
