/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.dataone.tidy.concurrent;

import java.io.IOException;
import java.net.SocketTimeoutException;
import org.dataone.service.exceptions.ServiceFailure;
/**
 *
 * @author waltz
 */
public class MockExecutionTimeoutTidyJob extends AbstractTidyJob {

    @Override
    public Boolean call() throws Exception {
        IOException socketTimeout= new SocketTimeoutException("Connect to nowhere timed out\""); 
        // create a generic node without any external attachments to reuse its wrap exception functions
       
        throw recastClientSideExceptionToServiceFailure(socketTimeout);

        
    }
     /**
      * Stole this from D1Node, seeing that it is a protected method.
     * A helper function to preserve the stackTrace when catching one error and throwing a new one.
     * Also has some descriptive text which makes it clientSide specific
     * @param e
     * @return
     */
    private  ServiceFailure recastClientSideExceptionToServiceFailure(Exception e) {
    	ServiceFailure sfe = new ServiceFailure("0 Client_Error", e.getClass() + ": "+ e.getMessage());
                sfe.initCause(e);
		sfe.setStackTrace(e.getStackTrace());
    	return sfe;
    }

}
